VisualEditor: Vertical keyboard selection (shift+up/down cursor) over a node type boundary gives unexpected results in Firefox
Closed, ResolvedPublic

Description

Author: Wikifram

Description:
I had entered this at enwiki VisualEditor/Feedback, but got no response. Apparently no bug for this has been filed, even though it is quite serious. All links are for pages on enwiki.

I'm trying to select one template, but get unexpected results. If you go to [[Karl Popper]], put the cursor at the start of the header "Backdrop to his thought", and use the left side "caps arrow" plus the up-arrow from the four direction arrows (to select the line above it), the first time you do this, your cursor disappears. The second time, you select everything including half a line of the paragraph ''above'' the "philosophy" section header, the philosophy section header, and the "main" template. This is rather unexpected.

Similarly, only using the "up" arrow, starting again at the same place: first time, the cursor seems to disappear (looking more closely, it stands at the right side of the infobox, at the height of the "main article" template. Using it again movs it to the middle of the last line of the previous paragraph, skipping the template and the "philosophy" section header.

The reverse is even worse. Starting from the paragraph above the "philosophy" header and using the "down" arrow, your cursor moves to the end of the "philosophy" header (good!); using "down" again, it moves to the right of the infobox (at the same line as the "main article" template) (not good, perhaps acceptable); using down again, and again, and again, does absoluetly nothing anymore...

Stranger and stranger: going from the "philosophy" header using the right button works like a charm. If you then start using the "up" arrow though, you are no longer scrollong inside the text, but yo uare scrolling the whole webpage instead... I stopped testing after this, having had more than enough of this!

Basically, the use of arrows in VE shows some very bizarre behaviour and should be thoroughly tested and bugfixed. [[User:Fram|Fram]] ([[User talk:Fram|talk]]) 15:02, 25 October 2013 (UTC)


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=51957

bzimport set Reference to bz56248.
bzimport created this task.Via LegacyOct 28 2013, 3:09 PM
jayvdb added a comment.Via ConduitOct 30 2013, 11:58 PM
  1. I can reproduce the odd two-step up-arrow selection bug in Firefox, but not in Chrome. I couldnt quickly see that bug raised.
  1. Likewise the down-arrow selection problem is also Firefox only, and appears to be bug 51957
  1. The arrow-page-scroll-down bug is also Firefox only. I couldnt find a bug for it, but it is similar to bug 53420
Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 1:24 AM
Jdforrester-WMF closed this task as "Resolved".Via WebJan 9 2015, 11:00 PM
Jdforrester-WMF claimed this task.

As far as I can tell these were solved when we switched up/down behaviour with regard to browser-native selections. There are some issues in this area, but this ticket doesn't capture them.

Jdforrester-WMF set Security to None.

Add Comment